> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Devices to a Space

> Adds devices to a specific space.



## OpenAPI

````yaml /openapi.json post /spaces/add_devices
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /spaces/add_devices:
    post:
      tags: []
      summary: Add Devices to a Space
      description: Adds devices to a specific space.
      operationId: spacesAddDevicesPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                device_ids:
                  description: IDs of the devices that you want to add to the space.
                  items:
                    format: uuid
                    type: string
                  minItems: 1
                  type: array
                space_id:
                  description: ID of the space to which you want to add devices.
                  format: uuid
                  type: string
              required:
                - space_id
                - device_ids
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
        - client_session_with_customer: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.spaces.addDevices({
              space_id: "4d53b5c0-87cd-4de9-832d-025e075e7cd4",
              device_ids: ["22fb4992-463c-4ccd-b568-50fcea243665"],
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/spaces/add_devices" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "space_id": "4d53b5c0-87cd-4de9-832d-025e075e7cd4",
              "device_ids": [
                "22fb4992-463c-4ccd-b568-50fcea243665"
              ]
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.spaces.add_devices(
                space_id="4d53b5c0-87cd-4de9-832d-025e075e7cd4",
                device_ids=["22fb4992-463c-4ccd-b568-50fcea243665"],
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.spaces.add_devices(
              space_id: "4d53b5c0-87cd-4de9-832d-025e075e7cd4",
              device_ids: ["22fb4992-463c-4ccd-b568-50fcea243665"],
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->spaces->add_devices(
                space_id: "4d53b5c0-87cd-4de9-832d-025e075e7cd4",
                device_ids: ["22fb4992-463c-4ccd-b568-50fcea243665"],
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam spaces add-devices --space_id
            "4d53b5c0-87cd-4de9-832d-025e075e7cd4" --device_ids
            ["22fb4992-463c-4ccd-b568-50fcea243665"]


            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http

````